io.undertow.server.handlers.encoding

## Class ContentEncodedResource

- java.lang.Object
- - io.undertow.server.handlers.encoding.ContentEncodedResource

    public class ContentEncodedResource
    extends Object

A resource that has been pre-compressed

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`ContentEncodedResource(Resource resource, String contentEncoding)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getContentEncoding()`
`Resource` `getResource()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentEncodedResource

    public ContentEncodedResource(Resource resource,
                                  String contentEncoding)

### Method Detail

#### getResource

    public Resource getResource()

#### getContentEncoding

    public String getContentEncoding()